PCINITRD(8)

NAME
pcinitrd - create a PCMCIA initrd ram disk image

SYNOPSIS
pcinitrd [-v] [-a] [--all] [-d alternate-root ] [--dir= alternate-root ] [-r kernel-release ] [--release= kernel-release ] [-s image-size ] [--size= image-size ] [-u] [--update] initrd-image [modules ...]

DESCRIPTION
The pcinitrd script creates an initrd ram disk image for booting with the root filesystem on a PCMCIA device. If the target is a block special device (i.e., /dev/fd0), then the initrd image is created on that device. If the target does not already exist or if it is an ordinary file, then pcinitrd will create the image file using the ``loopback'' device.

Modules are specified with paths relative to /lib/modules/[kernel-release]. The core PCMCIA modules (pcmcia/pcmcia_core and pcmcia/ds) will automatically be installed in the target image. All other device-specific modules need to be listed on the command line, along with the appropriate socket driver (pcmcia/i82365.o or pcmcia/tcic.o). Alternatively, if -a is specified, then all available PCMCIA socket drivers and block device drivers will be included in the image. Additional files to be copied to the initrd image may also be listed on the command line. Executable programs will be installed in /bin, shared libraries will be installed in /lib, device files will be installed in /dev, and any other files will be placed in /etc.

The startup script in the resulting image, linuxrc, may need to be customized for a particular system. It contains the same variable definitions as the normal PCMCIA startup scripts (i.e., PCIC=, PCIC_OPTS=, and CORE_OPTS= variables). The /etc/config.opts file may also need to be edited. Any changes to linuxrc or config.opts will be preserved if pcinitrd is executed in ``update'' mode.

Another feature of the generated linuxrc is that if the DEBUG variable is set to a non-blank string at the boot prompt, then cardmgr will echo all its status messages to the console, and after linuxrc executes, it will fire up a shell on the console. This can be helpful for debugging initrd problems. However, few commands are available in the normal initrd environment.

OPTIONS

-v  Verbose mode. Identify files as they are copied.

-a, --all
    Install all socket drivers and block-style PCMCIA device drivers, including memory card, SCSI card, and fixed-disk drivers. This is mainly intended for use by package maintainers.

-d alternate-root, --dir=alternate-root
    Specifies an alternate directory tree to search for all the files used to put together the initrd image. This may be helpful for running pcinitrd after booting from an installation or rescue diskette.

-r kernel-release, --release=kernel-release
    Specifies the kernel release number (i.e., 2.0.28) to use when looking for modules in /lib/modules. The default is the release of the running kernel.

-s image-size, --size=image-size
    Specifies the filesystem size to create on the target file or device, in 1k blocks. The default is 2400.

-u, --update
    Update mode: updates cardmgr and all the kernel modules in an existing initrd image, but does not modify other files.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
pcmcia(5), cardmgr(8), lilo(8).